Public Member Functions | Public Attributes | List of all members
clan::StyleImage Class Reference

Style image values. More...

`#include <style_set_image.h>`

## Public Member Functions
| StyleImage ()
| StyleImage (const StyleSetValue &image)
| StyleImage (const StyleGradient &gradient)

## Public Attributes
StyleGradient | gradient
StyleSetValue | image

## Detailed Description

Style image values.

## Constructor & Destructor Documentation

clan::StyleImage::StyleImage | ( |  | ) |
| inline

clan::StyleImage::StyleImage | ( | const StyleSetValue & | image | ) |
| inline

clan::StyleImage::StyleImage | ( | const StyleGradient & | gradient | ) |
| inline

## Member Data Documentation

StyleGradient clan::StyleImage::gradient

StyleSetValue clan::StyleImage::image

The documentation for this class was generated from the following file:

- style_set_image.h